package com.yihu.jw.entity.hospital.prescription;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Trick on 2020/3/24.
 */
@Entity
@Table(name = "wlyy_hospital_work_rule")
public class WlyyHospitalWorkRuleDO extends UuidIdentityEntity {

    private String hospital;//医院编码',
    private String openVideo;//1.开放视频预约 ; 0，不开放视频预约',
    private String onlyDuty;//1.仅在班时接受问诊 ; 0 随时可以接受问诊',
    private Integer maxDay;//开放几天号源天数',
    private String maxDayOpenTime;//最后一天号源开放时间',
    private String swStartTime;//上午开始时间',
    private String swEndTime;//上午结束时间',
    private Integer swSourceNum;//上午号源数目',
    private String xwStartTime;//下午开始时间',
    private String xwEndTime;//下午结束时间',
    private Integer xwSourceNum;//下午数目',
    private String wsStartTime;//晚上开始时间',
    private String wsEndTime;//网上结束时间',
    private Integer wsSourceNum;//晚上号源数',

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getOpenVideo() {
        return openVideo;
    }

    public void setOpenVideo(String openVideo) {
        this.openVideo = openVideo;
    }

    public String getOnlyDuty() {
        return onlyDuty;
    }

    public void setOnlyDuty(String onlyDuty) {
        this.onlyDuty = onlyDuty;
    }

    public Integer getMaxDay() {
        return maxDay;
    }

    public void setMaxDay(Integer maxDay) {
        this.maxDay = maxDay;
    }

    public String getMaxDayOpenTime() {
        return maxDayOpenTime;
    }

    public void setMaxDayOpenTime(String maxDayOpenTime) {
        this.maxDayOpenTime = maxDayOpenTime;
    }

    public String getSwStartTime() {
        return swStartTime;
    }

    public void setSwStartTime(String swStartTime) {
        this.swStartTime = swStartTime;
    }

    public String getSwEndTime() {
        return swEndTime;
    }

    public void setSwEndTime(String swEndTime) {
        this.swEndTime = swEndTime;
    }

    public Integer getSwSourceNum() {
        return swSourceNum;
    }

    public void setSwSourceNum(Integer swSourceNum) {
        this.swSourceNum = swSourceNum;
    }

    public String getXwStartTime() {
        return xwStartTime;
    }

    public void setXwStartTime(String xwStartTime) {
        this.xwStartTime = xwStartTime;
    }

    public String getXwEndTime() {
        return xwEndTime;
    }

    public void setXwEndTime(String xwEndTime) {
        this.xwEndTime = xwEndTime;
    }

    public Integer getXwSourceNum() {
        return xwSourceNum;
    }

    public void setXwSourceNum(Integer xwSourceNum) {
        this.xwSourceNum = xwSourceNum;
    }

    public String getWsStartTime() {
        return wsStartTime;
    }

    public void setWsStartTime(String wsStartTime) {
        this.wsStartTime = wsStartTime;
    }

    public String getWsEndTime() {
        return wsEndTime;
    }

    public void setWsEndTime(String wsEndTime) {
        this.wsEndTime = wsEndTime;
    }

    public Integer getWsSourceNum() {
        return wsSourceNum;
    }

    public void setWsSourceNum(Integer wsSourceNum) {
        this.wsSourceNum = wsSourceNum;
    }
}
